<mat-card-header fxLayoutAlign="start center" fxLayoutGap="8px">
  <div mat-card-avatar>
    <div fxLayout="column" fxLayoutAlign="center center"><mat-icon>timeline</mat-icon></div>
  </div>
  <mat-card-title>{{ station.name | ReplaceEmpty }} </mat-card-title>
  <mat-card-subtitle>{{ 'COMPONENTS.CARDHISTORY.SUBTITLE' | translate }}</mat-card-subtitle>
  <div class="spacer"></div>
  <small class="text-gray" *ngIf="!updatingData"
    >{{ 'COMPONENTS.CARDHISTORY.DATA_UNTIL' | translate }} {{ historyService.lastStatusDate | date: 'dd.MM.yyyy' }} {{ 'COMPONENTS.CARDHISTORY.AVAILABLE' | translate }}</small
  >
  <small class="text-gray" *ngIf="updatingData">{{ 'COMPONENTS.CARDHISTORY.UPDATING' | translate }}</small>
  <button mat-icon-button matTooltip="{{ 'COMPONENTS.CARDHISTORY.TOUPDATE' | translate }}" *ngIf="isDataOutdated() && !updatingData" (click)="refreshApiData()">
    <mat-icon>refresh</mat-icon>
  </button>
</mat-card-header>
<mat-divider></mat-divider>
<mat-card-content fxLayout="column" fxLayoutGap="10px" class="m16T">
  <mat-form-field>
    <mat-label>{{ 'COMPONENTS.CARDHISTORY.PERIOD' | translate }}</mat-label>
    <mat-select #zeitraum [disabled]="isLoading">
      <mat-option value="TimeSpan.DAY" (click)="loadData(TimeSpan.DAY)">{{ 'COMPONENTS.CARDHISTORY.ONE_DAY' | translate }} ({{ historyService.lastStatusDate | date: 'dd.MM.yyyy' }})</mat-option>
      <mat-option value="TimeSpan.WEEK" (click)="loadData(TimeSpan.WEEK)">
        {{ 'COMPONENTS.CARDHISTORY.SEVEN_DAYS' | translate }} ({{ historyService.lastWeekDate | date: 'dd.MM.yyyy' }} - {{ historyService.lastStatusDate | date: 'dd.MM.yyyy' }})
      </mat-option>
      <mat-option value="TimeSpan.TWO_WEEKS" (click)="loadData(TimeSpan.TWO_WEEKS)">
        {{ 'COMPONENTS.CARDHISTORY.FOURTEEN_DAYS' | translate }} ({{ historyService.lastTwoWeekDate | date: 'dd.MM.yyyy' }} - {{ historyService.lastStatusDate | date: 'dd.MM.yyyy' }})
      </mat-option>
    </mat-select>
  </mat-form-field>

  <div *ngIf="isLoading" fxLayout="row" fxLayoutAlign="center center">
    <div fxLayout="column" fxLayoutGap="8px" fxLayoutAlign="center center">
      <mat-spinner></mat-spinner>
      <span *ngIf="step === HistoryDataStatus.FETCHING">{{ 'COMPONENTS.CARDHISTORY.FETCHING' | translate }}</span>
      <span *ngIf="step === HistoryDataStatus.PREPARING">{{ 'COMPONENTS.CARDHISTORY.PREPARING' | translate }}</span>
    </div>
  </div>

  <div *ngIf="!data && !isLoading" fxLayout="row" fxLayoutAlign="center center">
    <span class="text-gray">{{ 'COMPONENTS.CARDHISTORY.SELECT' | translate }}</span>
  </div>

  <div *ngIf="!isLoading && data !== null" style="display: block">
    <canvas baseChart width="400" height="400" [type]="'line'" [data]="data" [options]="options"> </canvas>
  </div>
</mat-card-content>
<mat-divider></mat-divider>
<div mat-dialog-actions fxLayout="row" fxLayoutAlign="center center">
  <button mat-stroked-button type="button" (click)="loadDetails()">{{ 'COMPONENTS.CARDHISTORY.BACK' | translate }}</button>
</div>
